#include <stdio.h>

void procitaj_datoteku(char tekst[], int *n) {
	FILE *datoteka;
	char znak;
	datoteka = fopen("ulaz.txt", "r");
	if (datoteka == NULL) {
		printf("Doslo je do greske!\n");
		return;
	}
	while((znak = fgetc(datoteka)) != EOF) {
		tekst[*n] = znak;
		*n = *n + 1;
	}
	fclose(datoteka);
}

void prebaci_brojeve_u_niz(char tekst[], int n, int niz_brojeva[], int *broj) {
	int i;
	int cifra; // Predstavlja cifru broja
	int suma; // Predstavlja broj
	int k; // Oznacava jedinice, desetice, stotine...
	int signal = 0; // Flag, govori nam o postojanju broja
	for (i=n-1; i>0; i--) {
		suma = 0;
		k = 1;
		while(tekst[i]>='0' && tekst[i]<='9') {
			cifra = tekst[i] - '0';
			suma = suma + cifra * k;
			k = k * 10;
			i--;
			signal = 1;
		}
		if (signal == 1) {
			// Prebaciti broj u niz_brojava
			niz_brojeva[*broj] = suma;
			*broj = *broj + 1;
			signal = 0;
		}
	}
}

void prikaz_niza(int niz_brojeva[], int n) {
	int i;
	for (i=0; i<n; i++) {
		printf("%d ", niz_brojeva[i]);
	}
	printf("\n");
}


int main(void) {
	char tekst[100];
	int n = 0; // Oznacava broj elemenata u nizu tekst
	int niz_brojeva[100];
	int broj = 0; // Oznacava broj elemenata u nizu niz_brojeva

	// Korak 1
	procitaj_datoteku(tekst, &n);

	// Korak 2
	prebaci_brojeve_u_niz(tekst, n, niz_brojeva, &broj);

	// Korak 3
	prikaz_niza(niz_brojeva, broj);

	return 0;
}